Package com.datecs.fiscalprinter.SDK

# Class FiscalException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.datecs.fiscalprinter.SDK.FiscalException

All Implemented Interfaces:
  `FiscalErrorCodesV2`, `java.io.Serializable`

    public final class FiscalException
    extends java.lang.Exception
    implements FiscalErrorCodesV2

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `FPTR_CC_BRAZIL` | Generated exception ID
  `static int` | `FPTR_CC_BULGARIA` |
  `static int` | `FPTR_CC_CZECH_REPUBLIC` |
  `static int` | `FPTR_CC_GREECE` |
  `static int` | `FPTR_CC_HUNGARY` |
  `static int` | `FPTR_CC_ITALY` |
  `static int` | `FPTR_CC_OTHER` |
  `static int` | `FPTR_CC_POLAND` |
  `static int` | `FPTR_CC_ROMANIA` |
  `static int` | `FPTR_CC_RUSSIA` |
  `static int` | `FPTR_CC_TURKEY` |
  `static int` | `FPTR_CC_UKRAINE` |

  ### Fields inherited from interface com.datecs.fiscalprinter.SDK.FiscalErrorCodesV2

  `_ERR_FP_BAD_PARAM_BEGIN, _ERR_FP_BAD_PARAM_END, _ERR_FP_SYNTAX_PARAM_BEGIN, _ERR_FP_SYNTAX_PARAM_END, _ERR_RANGE_CM_BEGIN, _ERR_RANGE_CM_END, _ERR_RANGE_EM_BEGIN, _ERR_RANGE_EM_END, ERR_ABORTED, ERR_ACCESS_DENIED, ERR_BAD_DATA_LENGTH, ERR_BAD_INPUT, ERR_CANCELLED, ERR_CANNOT_ADD_TO_EJ, ERR_CERT_FILE_READ, ERR_CERT_FILE_WRITE, ERR_CERT_NOT_FOUND, ERR_CERT_UNPACKING_FAILED, ERR_CERT_WRONG_PASSWORD, ERR_CHECKSUM, ERR_CM_COM_ERROR, ERR_CM_COM_TIMEOUT, ERR_CM_DISCONNECTED, ERR_CM_UNEXPECTED_RESPONSE, ERR_CM_WRONG_ID_NUMBERS, ERR_CONNECTION_INIT, ERR_CONNECTION_INIT_REPOSITORY, ERR_CONNECTION_NO_GPRS, ERR_CONNECTION_WRONG_ANSWER_FORMAT, ERR_CONNECTION_WRONG_PARAMS, ERR_DEVICE_ADMIN_ONLY, ERR_DEVICE_ALREADY_FISCALIZED, ERR_DEVICE_COMM_ERROR, ERR_DEVICE_DAY_IS_CLOSED, ERR_DEVICE_DAY_IS_OPEN, ERR_DEVICE_IN_SERVICE_MODE, ERR_DEVICE_INVALID_DATA, ERR_DEVICE_NOT_FISCALIZED, ERR_DEVICE_PASSED_SERVICE_DATE, ERR_DEVICE_STFLAG_ACTIVE, ERR_DEVICE_WRONG_NUMBERS, ERR_DEVICE_WRONG_STRUCT, ERR_DISCDB_BARCODE_EXISTS, ERR_DISCDB_DISCCODE_EXISTS, ERR_DISCDB_FULL, ERR_DISCDB_NOT_FOUND, ERR_DISPLAY_DISCONNECTED, ERR_DT_BLOCKED, ERR_DT_CANT_CANCEL_TICKET, ERR_DT_INCORRECT_REQUEST_DATA, ERR_DT_INVALID_CONFIGURATION, ERR_DT_INVALID_LOGIN_PASSWORD, ERR_DT_INVALID_REQUEST_NUMBER, ERR_DT_INVALID_RETRY_REQUEST, ERR_DT_INVALID_TOKEN, ERR_DT_NOT_ENOUGH_CASH, ERR_DT_OK, ERR_DT_OPEN_SHIFT_TIMEOUT_EXPIRED, ERR_DT_PROTOCOL_ERROR, ERR_DT_SERVICE_TEMPORARILY_UNAVAILABLE, ERR_DT_SSL_IS_NOT_ALLOWED, ERR_DT_UNKNOWN_COMMAND, ERR_DT_UNKNOWN_ERROR, ERR_DT_UNKNOWN_ID, ERR_DT_UNSUPPORTED_COMMAND, ERR_ECRSRV_FORBIDEN, ERR_ECRSRV_NO_SOCKET_OPENED, ERR_ECRSRV_NOT_SEND, ERR_ECRSRV_RECV_TMOUT, ERR_ECRSRV_SET_IS_NOT_TAKEN, ERR_ECRSRV_SOCKET_CLOSED, ERR_ECRSRV_UNKNOWN, ERR_ECRSRV_WRONG_PARAM, ERR_EJ_ALREADY_SIGNED, ERR_EJ_BAD_RECORDS, ERR_EJ_CAN_NOT_GENERATE_MAC, ERR_EJ_FULL, ERR_EJ_IMMPOSSIBLE_TO_CHK_MAC_RECORD, ERR_EJ_NEAR_FULL, ERR_EJ_NO_RECORDS, ERR_EJ_NOT_FROM_THIS_DEVICE, ERR_EJ_NOT_READY, ERR_EJ_WRONG_FORMAT, ERR_EJ_WRONG_MAC_RECORD, ERR_EJ_WRONG_TYPE_TO_SIGN, ERR_END_OF_DATA, ERR_FILE_MANIPULATE, ERR_FILE_UNPACK, ERR_FIRMDB_EIK_EXISTS, ERR_FIRMDB_FIRMCODE_EXISTS, ERR_FIRMDB_FULL, ERR_FIRMDB_NOT_FOUND, ERR_FLASH_ERROR, ERR_FLASH_WRONG_ID, ERR_FLASH_WRONG_SIZE, ERR_FM_BLOCK_IS_EMPTY, ERR_FM_BLOCKED, ERR_FM_BUSY, ERR_FM_EMPTY_RANGE, ERR_FM_ERROR, ERR_FM_FAILURE, ERR_FM_FULL, ERR_FM_MAX_NUMBER, ERR_FM_NEED_UPDATE, ERR_FM_NEW_MODULE, ERR_FM_NOT_CONNECTED, ERR_FM_NOT_EMPTY, ERR_FM_NOT_EQUAL, ERR_FM_WRITE_PROTECTED, ERR_FM_WRONG_ADDRESS, ERR_FM_WRONG_CHECK_SUM, ERR_FM_WRONG_RANGE, ERR_FM_WRONG_SIZE, ERR_FMNUMBER_IS_EMPTY, ERR_FORBIDEN, ERR_FP_BAD_PARAM_1, ERR_FP_BAD_PARAM_10, ERR_FP_BAD_PARAM_11, ERR_FP_BAD_PARAM_12, ERR_FP_BAD_PARAM_13, ERR_FP_BAD_PARAM_14, ERR_FP_BAD_PARAM_15, ERR_FP_BAD_PARAM_16, ERR_FP_BAD_PARAM_2, ERR_FP_BAD_PARAM_3, ERR_FP_BAD_PARAM_4, ERR_FP_BAD_PARAM_5, ERR_FP_BAD_PARAM_6, ERR_FP_BAD_PARAM_7, ERR_FP_BAD_PARAM_8, ERR_FP_BAD_PARAM_9, ERR_FP_COMMAND_NOT_PERMITTED, ERR_FP_COVER_IS_OPEN, ERR_FP_INVALID_COMMAND, ERR_FP_INVALID_SYNTAX, ERR_FP_NEEDED_MODE_PC, ERR_FP_NO_PAPER, ERR_FP_OVERFLOW, ERR_FP_PRINTER_FAILURE, ERR_FP_SYNTAX_PARAM_1, ERR_FP_SYNTAX_PARAM_10, ERR_FP_SYNTAX_PARAM_11, ERR_FP_SYNTAX_PARAM_12, ERR_FP_SYNTAX_PARAM_13, ERR_FP_SYNTAX_PARAM_14, ERR_FP_SYNTAX_PARAM_15, ERR_FP_SYNTAX_PARAM_16, ERR_FP_SYNTAX_PARAM_2, ERR_FP_SYNTAX_PARAM_3, ERR_FP_SYNTAX_PARAM_4, ERR_FP_SYNTAX_PARAM_5, ERR_FP_SYNTAX_PARAM_6, ERR_FP_SYNTAX_PARAM_7, ERR_FP_SYNTAX_PARAM_8, ERR_FP_SYNTAX_PARAM_9, ERR_FP_WRONG_DATE_TIME, ERR_HARDWARE_CONFIGURATION, ERR_HEADER_IS_EMPTY, ERR_IAP, ERR_IDNUMBER_IS_EMPTY, ERR_INVALID_CERTIFICATE, ERR_INVALID_DATA, ERR_INVALID_FORMAT, ERR_INVALID_MSG_FILE, ERR_INVALID_TIME, ERR_IO, ERR_LOW_BATTERY, ERR_LOW_BATTERY_WARNING, ERR_LTP_BZLCLMP, ERR_LTP_BZLPDEC, ERR_LTP_CHARGE_MODE, ERR_LTP_CUTERR, ERR_LTP_HDSENS, ERR_LTP_INZERR_MODE, ERR_LTP_MKSENS, ERR_LTP_MOTOR_OVERRUN, ERR_LTP_NESENS, ERR_LTP_PESENS, ERR_LTP_PR_BUSY, ERR_LTP_PR_ERR, ERR_LTP_STHERR, ERR_LTP_SVPERR, ERR_LTP_VCCERR, ERR_MODEM_ATTACH, ERR_MODEM_CELL_FOUND, ERR_MODEM_CELL_NOTFOUND, ERR_MODEM_CONFIG, ERR_MODEM_CONNECT_AP, ERR_MODEM_CTRL, ERR_MODEM_LOT_DAYS_FAIL, ERR_MODEM_NO_SIM, ERR_MODEM_NOTREADY, ERR_MODEM_PIN, ERR_MODEM_PPP, ERR_MODEM_REMOVE_SIM, ERR_MODEM_WAIT_INIT, ERR_NAP_BLOCKED_24H, ERR_NAP_BLOCKED_72H, ERR_NAP_BLOCKED_BY_SERVER, ERR_NAP_BLOCKED_ERROR_FROM_SERVER, ERR_NAP_BLOCKED_MAX_SELLERRORS, ERR_NAP_BLOCKED_MAX_ZERRORS, ERR_NAP_BLOCKED_NO_MODEM_LAN, ERR_NAP_BUSY, ERR_NAP_DEREG_ON_SERVER, ERR_NAP_EMPTY_DATA, ERR_NAP_EXCEPTION, ERR_NAP_HOSTDI_ZERRO, ERR_NAP_INVALID_OPERATOR_INN, ERR_NAP_INVALID_SERVER_INN, ERR_NAP_NEGATIVE_ANSWER, ERR_NAP_NO_REGISTRATIONS_POSSIBLE, ERR_NAP_NO_SERVER_ADDRESS, ERR_NAP_NOTPERSONALIZED, ERR_NAP_NOTREGISTERED, ERR_NAP_OPEN_SESSION, ERR_NAP_PREPARE_DATA, ERR_NAP_RECV_DATA, ERR_NAP_REGISTERED, ERR_NAP_SEND_DATA, ERR_NAP_WRONG_ANSWER_FORMAT, ERR_NAP_WRONG_FDTYPE, ERR_NAP_WRONG_IMSI, ERR_NAP_WRONG_PSTYPE, ERR_NEED_ALL_CLEARING_REPORTS, ERR_NEED_ALL_PAIDOUT, ERR_NEED_BACKUP, ERR_NEED_MONTH_REPORT, ERR_NEED_SERVICE_INTERVENTION, ERR_NEED_SERVICE_JUMPER, ERR_NEED_SERVICE_PASSWORD, ERR_NEED_YEAR_REPORT, ERR_NEED_Z_REPORT, ERR_NET_CONFIG, ERR_NET_CONNECTION, ERR_NET_DNS_RESOLVE, ERR_NET_HTTP_ERROR, ERR_NET_SOCKET, ERR_NET_SOCKET_CONNECTED, ERR_NET_SSL_ERROR, ERR_NO_HEAP_MEMORY, ERR_NO_RAM_BATTERY, ERR_NO_RECORDS, ERR_NO_UPDATE, ERR_NOT_FOUND_BLUETOOTH, ERR_NOT_POSSIBLE, ERR_NOT_READY, ERR_NOTFOUND, ERR_NRA_NEGATIVE_ANSWER, ERR_NRA_WRONG_ANSWER_PARAM_1, ERR_NRA_WRONG_ANSWER_PARAM_10, ERR_NRA_WRONG_ANSWER_PARAM_11, ERR_NRA_WRONG_ANSWER_PARAM_12, ERR_NRA_WRONG_ANSWER_PARAM_13, ERR_NRA_WRONG_ANSWER_PARAM_14, ERR_NRA_WRONG_ANSWER_PARAM_15, ERR_NRA_WRONG_ANSWER_PARAM_16, ERR_NRA_WRONG_ANSWER_PARAM_2, ERR_NRA_WRONG_ANSWER_PARAM_3, ERR_NRA_WRONG_ANSWER_PARAM_4, ERR_NRA_WRONG_ANSWER_PARAM_5, ERR_NRA_WRONG_ANSWER_PARAM_6, ERR_NRA_WRONG_ANSWER_PARAM_7, ERR_NRA_WRONG_ANSWER_PARAM_8, ERR_NRA_WRONG_ANSWER_PARAM_9, ERR_NTP_EARLIER_DATETIME, ERR_NTP_NO_COMM, ERR_NTP_WRONG_IP, ERR_OPER_WRONG_PASSWORD, ERR_P_HAVE_TURNOVER, ERR_PARSE_ERROR, ERR_PINPAD_ACCEPT, ERR_PINPAD_BOR_ERR, ERR_PINPAD_CANCEL, ERR_PINPAD_COMMUNICATION, ERR_PINPAD_CRYPTOGRAPHY, ERR_PINPAD_DEVICE_BUSY, ERR_PINPAD_DUPLICATE_KEY, ERR_PINPAD_ECR, ERR_PINPAD_EMSR, ERR_PINPAD_EMV, ERR_PINPAD_END_DAY, ERR_PINPAD_FILE_EMPTY, ERR_PINPAD_FLASH, ERR_PINPAD_FP_TRANS, ERR_PINPAD_GENERAL, ERR_PINPAD_HAL, ERR_PINPAD_HARDWARE, ERR_PINPAD_INV_AMOUNT, ERR_PINPAD_INVALID_ADDRESS, ERR_PINPAD_INVALID_COMMAND, ERR_PINPAD_INVALID_CRC, ERR_PINPAD_INVALID_DEVICE, ERR_PINPAD_INVALID_HEADER, ERR_PINPAD_INVALID_KEK, ERR_PINPAD_INVALID_KEY, ERR_PINPAD_INVALID_KEY_ATTRIBUTES, ERR_PINPAD_INVALID_KEY_FORMAT, ERR_PINPAD_INVALID_KEY_NUMBER, ERR_PINPAD_INVALID_LENGTH, ERR_PINPAD_INVALID_PAN, ERR_PINPAD_INVALID_PARAM, ERR_PINPAD_INVALID_PASSWORD, ERR_PINPAD_INVALID_REMINDER, ERR_PINPAD_INVALID_SEQUENCE, ERR_PINPAD_INVALID_SIGNATURE, ERR_PINPAD_INVALID_VALUE, ERR_PINPAD_INVALID_VERSION, ERR_PINPAD_KEYBOARD, ERR_PINPAD_KEYBOARD_FAILED, ERR_PINPAD_KEYBOARD_NOT_CALIBRATED, ERR_PINPAD_LIMIT, ERR_PINPAD_NO_CONN, ERR_PINPAD_NO_DATA, ERR_PINPAD_NO_PERMITION, ERR_PINPAD_NO_PIN_DATA, ERR_PINPAD_NO_TMK, ERR_PINPAD_NONE, ERR_PINPAD_NOPAPER, ERR_PINPAD_NOT_CONF, ERR_PINPAD_NOT_CONF_TYPE, ERR_PINPAD_NOT_CONNECTED, ERR_PINPAD_NOT_ENOUGH_MEMORY, ERR_PINPAD_NOT_INIT, ERR_PINPAD_NOT_PERMIT, ERR_PINPAD_NOT_SUPPORT, ERR_PINPAD_OVERHEATED, ERR_PINPAD_PIN_LIMIT, ERR_PINPAD_RECEIPT, ERR_PINPAD_SAME_TRANS, ERR_PINPAD_SCR, ERR_PINPAD_TAMPERED, ERR_PINPAD_TIMEOUT, ERR_PINPAD_TRN_NOT_FOUND, ERR_PINPAD_USE_CHIP, ERR_PLUDB_BARCODE_EXISTS, ERR_PLUDB_CAN_NOT_OPEN, ERR_PLUDB_FORMAT_INCOMPATIBLE, ERR_PLUDB_FULL, ERR_PLUDB_NAME_EXISTS, ERR_PLUDB_NAMES_NOT_UNIQUE, ERR_PLUDB_NOT_FOUND, ERR_PLUDB_PLUCODE_EXISTS, ERR_POS_TERM_CHAN_CLOSED, ERR_PRINTER_DISCONNECTED, ERR_PROFILE_EXPIRED, ERR_PROFILE_INVALID, ERR_PROFILE_STARTDATE_INVALID, ERR_PROFILE_VERIFY_FAIL, ERR_PROFILE_WRONG_STRUCT, ERR_PROGRAM_EXRAM_CHECK_ERROR, ERR_PROGRAM_SELF_CHECK_ERROR, ERR_R_ALL_VOID_EXECUTED, ERR_R_ALL_VOID_SELECTED, ERR_R_AMOUNT_BIGGER_BILLAMOUNT, ERR_R_AMOUNT_SMALLER_BILLAMOUNT, ERR_R_BANK_TERM_NOT_CONFIGURED, ERR_R_BAR_NOTEXIST, ERR_R_BILL_TL_OVR, ERR_R_BON_TYPE_MISMATCH, ERR_R_BUYERS_TIN_IS_ENTERED, ERR_R_BUYERS_TIN_IS_NOT_ENTERED, ERR_R_CASH_NO_MULT_MIN_COIN, ERR_R_CLEAR, ERR_R_CLOSED_BON, ERR_R_DEP_WRONG_NAME, ERR_R_DISC_NOTEXIST, ERR_R_ECR_OVR, ERR_R_END_OF_24_HOUR_PERIOD, ERR_R_EXCISE_PLU_FORBIDDEN, ERR_R_EXCISE_PLU_WITHOUT_EXCISE_STAMP, ERR_R_FIRM_NOTEXIST, ERR_R_MORE_THAN_ONE_VAT, ERR_R_NEGATIVE_SUMVAT, ERR_R_NO_TRANSACTIONS, ERR_R_NO_VALID_INVOICE, ERR_R_NOCLEAR, ERR_R_NOT_EXCISE_PLU_WITH_EXCISE_STAMP, ERR_R_NPOSSIBLE, ERR_R_ONLY_ALL_VOID_IS_POSSIBLE, ERR_R_OPEN_BON, ERR_R_OPEN_FISCALBON, ERR_R_OPEN_NONFISCALBON, ERR_R_OPEN_STORNOBON, ERR_R_OPER_NOT_LOGGED_IN, ERR_R_OUT_OF_STOCK, ERR_R_OVF_QTY, ERR_R_OVF_TOTAL, ERR_R_OVF_TRZ_BUFF, ERR_R_PACK_NOTEXIST, ERR_R_PAY_ADVANCE_BIG, ERR_R_PAY_BIG_AMOUNT, ERR_R_PAY_FORBIDDEN, ERR_R_PAY_FOREIGN_DISABLED, ERR_R_PAY_FOREIGN_IMPOSSIBLE, ERR_R_PAY_FOREIGN_SMALL_AMOUNT, ERR_R_PAY_NOCASH, ERR_R_PAY_NOT_STARTED, ERR_R_PAY_STARTED, ERR_R_PAY_STORNO_RESTO, ERR_R_PAY_VOUCHER_NEED_INPUT_SUM, ERR_R_PAY_VOUCHER_NEED_SURCHARGE, ERR_R_PAY_VOUCHER_RESTO, ERR_R_PAY_ZERO_AMOUNT, ERR_R_PERC_KEY_FORBIDDEN, ERR_R_PINPAD, ERR_R_PLU_CATEGORY_NOTEXIST, ERR_R_PLU_DEP_RANGE, ERR_R_PLU_FIX_PRC, ERR_R_PLU_GRP_RANGE, ERR_R_PLU_NO_PRC, ERR_R_PLU_NOTEXIST, ERR_R_PLU_OVER_MAX_PRC, ERR_R_PLU_PRICETYPE_LINKED, ERR_R_PLU_PRICETYPE_NEGATIVE, ERR_R_PLU_PRICETYPE_RANGE, ERR_R_PLU_QTY_PRC, ERR_R_PLU_QTY_PRC_TOO_LOW, ERR_R_PLU_UNIT_NOTEXIST, ERR_R_PLU_VAT_DISABLE, ERR_R_POS_TERM_APPROVED, ERR_R_POS_TERM_CANCELED, ERR_R_POS_TERM_CONN_ERR, ERR_R_POS_TERM_NOT_APPROVED, ERR_R_PRICE_BAD, ERR_R_PRICE_TOO_BIG, ERR_R_PYFOREIGN_HAVERESTO, ERR_R_REACH_BON_TL_LIMIT, ERR_R_REST_ACCOUNT_IS_OPENED, ERR_R_REST_ACNT_IS_NOTFOUND, ERR_R_REST_NOFREESPC_SELLS, ERR_R_REST_NOFREESPCFORNEWACNT, ERR_R_REST_NOT_PERMITTED, ERR_R_REST_WRONG_INDEX, ERR_R_SAFE_OPEN_DISABLED, ERR_R_SIGN_AGENT_INCORECT, ERR_R_STL_NEEDED, ERR_R_SYNTAX, ERR_R_TRZ_NOT_EXIST, ERR_R_VALUE_BAD, ERR_R_VALUE_TOO_BIG, ERR_R_VAT_SYSTEM_DISABLE, ERR_R_WRONG_BUYERS_DATA, ERR_R_ZERO_BILLAMOUNT, ERR_REJECTED, ERR_RTC_ERROR, ERR_SAM_ALREADY_OPEN, ERR_SAM_BAD_CLOSE_BATCH, ERR_SAM_BAD_GET_BATCH, ERR_SAM_BAD_GET_TRANS, ERR_SAM_BAD_OPERATION, ERR_SAM_BAD_PUT_TRANS, ERR_SAM_BATCH_ALREADY_CLOSED, ERR_SAM_COMMUNICATION_ERROR, ERR_SAM_ERROR, ERR_SAM_INIT, ERR_SAM_INIT_TELEGRAM, ERR_SAM_NOT_OPENED_Z, ERR_SAM_OPEN_EMPTY_ID_DEV, ERR_SAM_OPEN_ID_DEV, ERR_SAM_OPENED_Z_OVF, ERR_SAM_SELECT_FILE, ERR_SAM_TRANS_ALREADY_CLOSED, ERR_SAM_UNSENT_Z_OVF, ERR_SCALE_FILE_GENERATE, ERR_SCALE_NEGATIVE_WEIGHT, ERR_SCALE_NOT_CALCULATED, ERR_SCALE_NOT_CONFIG, ERR_SCALE_NOT_RESPOND, ERR_SCALE_RECEIVE, ERR_SCALE_SEND, ERR_SCALE_T_CONNECT, ERR_SCALE_T_WRONG_INTF, ERR_SCALE_WRONG_RESPONSE, ERR_SCALE_ZERO_WEIGHT, ERR_SD_NOT_PRESENT, ERR_SD2_NOT_PRESENT, ERR_SDCARD_ERROR, ERR_SDCARD_WRONG_SIZE, ERR_SMARTCARD_CARD_FAULT, ERR_SMARTCARD_COMMUNICATION, ERR_SMARTCARD_CONFIG, ERR_SMARTCARD_MODULE_ERROR, ERR_SMARTCARD_NOT_PRESENT, ERR_SMARTCARD_WRONG_ID, ERR_SRAM_ERROR, ERR_TIMEOUT, ERR_TMOUT, ERR_USB_FILE_COPY, ERR_USB_FILE_OPEN, ERR_USB_HOST_INIT, ERR_USB_NO_DEVICE, ERR_USB_NO_FILESYSTEM, ERR_VALID_CERT_EXISTS, ERR_VAT_RATES_ARE_EMPTY, ERR_WORK_INVALID_FILE, ERR_WORK_INVALID_PARAM, ERR_WRONG_MODE, ERR_Z_REPORT_CLOSED, ERR_ZDDS_NUM_IS_EMPTY, OK`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FiscalException​(int errorCode, int errorLanguage)` |
  `FiscalException​(int errorCode, java.lang.String additionMessage)` |
  `FiscalException​(java.lang.String errorMessage)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getErrorCode()` | Returns exception error code
  `java.lang.String` | `getErrorMessage()` |
  `static java.lang.String` | `getErrorMessage​(int errorCode, int msgLanguage)` |
  `static java.lang.String` | `getMsgSeparator()` |
  `static java.lang.String` | `locale​(int errorCode, int msgLanguage)` |
  `static void` | `setMsgSeparator​(java.lang.String msgSeparator)` |

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### FPTR_CC_BRAZIL

    public static final int FPTR_CC_BRAZIL
    Generated exception ID
    See Also:
      Constant Field Values

  - ### FPTR_CC_GREECE

    public static final int FPTR_CC_GREECE
    See Also:
      Constant Field Values

  - ### FPTR_CC_HUNGARY

    public static final int FPTR_CC_HUNGARY
    See Also:
      Constant Field Values

  - ### FPTR_CC_ITALY

    public static final int FPTR_CC_ITALY
    See Also:
      Constant Field Values

  - ### FPTR_CC_POLAND

    public static final int FPTR_CC_POLAND
    See Also:
      Constant Field Values

  - ### FPTR_CC_TURKEY

    public static final int FPTR_CC_TURKEY
    See Also:
      Constant Field Values

  - ### FPTR_CC_RUSSIA

    public static final int FPTR_CC_RUSSIA
    See Also:
      Constant Field Values

  - ### FPTR_CC_BULGARIA

    public static final int FPTR_CC_BULGARIA
    See Also:
      Constant Field Values

  - ### FPTR_CC_ROMANIA

    public static final int FPTR_CC_ROMANIA
    See Also:
      Constant Field Values

  - ### FPTR_CC_CZECH_REPUBLIC

    public static final int FPTR_CC_CZECH_REPUBLIC
    See Also:
      Constant Field Values

  - ### FPTR_CC_UKRAINE

    public static final int FPTR_CC_UKRAINE
    See Also:
      Constant Field Values

  - ### FPTR_CC_OTHER

    public static final int FPTR_CC_OTHER
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### FiscalException

    public FiscalException​(java.lang.String errorMessage)

  - ### FiscalException

    public FiscalException​(int errorCode, java.lang.String additionMessage)

  - ### FiscalException

    public FiscalException​(int errorCode, int errorLanguage)
    Parameters:
      `errorCode` -

- ## Method Details

  - ### getMsgSeparator

    public static java.lang.String getMsgSeparator()

  - ### setMsgSeparator

    public static void setMsgSeparator​(java.lang.String msgSeparator)

  - ### getErrorMessage

    public java.lang.String getErrorMessage()

  - ### getErrorCode

    public int getErrorCode()
    Returns exception error code
    Returns:
      Returns error code
    See Also:
      `FiscalErrorCodesV2`

  - ### getErrorMessage

    public static java.lang.String getErrorMessage​(int errorCode, int msgLanguage)

  - ### locale

    public static java.lang.String locale​(int errorCode, int msgLanguage)